version: 1

metadata:
  name: ThunderHub
  version: 0.13.31
  category: Lightning Node Management
  tagline: Take full control of your Lightning node
  developers:
    Anthony Potdevin: https://apotdevin.com
  description: |-
    ThunderHub allows you to take full control of your Lightning node with a slick and awesome UI. Explore all the options that ThunderHub has to offer, from sending and receiving Lightning payments, to checking your node's health statistics, and even more advanced options like channel rebalancing and multi-path lightning payments.

    Managing and monitoring your node has never been easier with transaction reports, graphs and a huge assortment of different features all bundled inside of this great tool.
  has_permissions:
    - lnd/access-grpc
  exported_data:
    lnd:
      auth:
        macaroons:
          admin:
            permissions:
              - entity: address
                action: read
              - entity: address
                action: write
              - entity: info
                action: read
              - entity: info
                action: write
              - entity: invoices
                action: read
              - entity: invoices
                action: write
              - entity: macaroon
                action: generate
              - entity: macaroon
                action: read
              - entity: macaroon
                action: write
              - entity: message
                action: read
              - entity: message
                action: write
              - entity: onchain
                action: read
              - entity: onchain
                action: write
              - entity: offchain
                action: read
              - entity: offchain
                action: write
              - entity: peers
                action: read
              - entity: peers
                action: write
              - entity: signer
                action: read
              - entity: signer
                action: generate
  repos:
    Public: https://github.com/apotdevin/thunderhub
  support: https://t.me/thunderhub
  default_password: {{ derive_entropy(identifier="password") }}
  icon: https://official-app-icons.nirvati.org/thunderhub/icon.svg
  volumes:
    thunderhub:
      minimum_size: 10Mi
      recommended_size: 100Mi
      name: Data
      description: Thunderhub's data
